nVidia Detonator 31.40 whql

Thankz @dek! for Fileconnect!

I found the nVidia Detonator 31.40 whql drivers for Windows 9x/ME/2000/XP. Note that these are not supported by nVidia!!

- GeForce4 Ti 4600

- GeForce4 Ti 4400

- GeForce4 Ti 4200

- GeForce4 MX 460

- GeForce4 MX 440

- GeForce4 MX 420

and all old nVidia vid cards too!

News source: Fileconnect

Report a problem with article
Previous Story

The Outlook for MS Mail Clients

Next Story

NEW! Detonators 40.72 Beta WHQL!

0 Comments

Commenting is disabled on this article.

There are no comments